﻿using adminBlazor.Models;

namespace TestUnit
{
    public class AppUser_UT
    {
        public static IEnumerable<object[]> SimpleAttributes()
        {
            yield return new object[]
            {
                "password",
                new List<String>(),
                "username"
            };
        }

        [Theory]
        [MemberData(nameof(SimpleAttributes))]
        public void SimpleAttribut_Validation(string password, List<String> roles, string username)
        {
            var appUser = new AppUser { Password = password, Roles = roles, UserName = username };

            Assert.Equal(password, appUser.Password);
            Assert.Equal(roles, appUser.Roles);
            Assert.Equal(username, appUser.UserName);
        }
    }
}
