﻿using adminBlazor.Models;

namespace TestUnit
{
    public class CurrentUser_UT
    {
        public static IEnumerable<object[]> SimpleAttributes()
        {
            yield return new object[]
            {
                new Dictionary<string, string>(),
                false,
                "username"
            };
        }

        [Theory]
        [MemberData(nameof(SimpleAttributes))]
        public void SimpleAttribut_Validation(Dictionary<string, string> claims, bool isAuthenticated, string username)
        {
            var currentUser = new CurrentUser { Claims = claims, IsAuthenticated = isAuthenticated, UserName = username };

            Assert.Equal(claims, currentUser.Claims);
            Assert.Equal(isAuthenticated, currentUser.IsAuthenticated);
            Assert.Equal(username, currentUser.UserName);
        }
    }
}
