﻿using adminBlazor.Models;

namespace TestUnit
{
    public class Translation_UT
    {
        public static IEnumerable<object[]> SimpleAttributes()
        {
            yield return new object[]
            {
                10,
                "firstword",
                "secondword"
            };
        }

        [Theory]
        [MemberData(nameof(SimpleAttributes))]
        public void SimpleAttribut_Validation(int id, string firstWord, string secondWord)
        {
            var translation = new Translation { Id = id, FirstWord = firstWord, SecondWord = secondWord };

            Assert.Equal(id, translation.Id);
            Assert.Equal(firstWord, translation.FirstWord);
            Assert.Equal(secondWord, translation.SecondWord);
        }
    }
}
