﻿using adminBlazor.Models;

namespace TestUnit
{
    public class User_UT
    {
        public static IEnumerable<object[]> SimpleAttributes()
        {
            yield return new object[]
            {
                new List<String>(),
                "imageBase64"
            };
        }

        [Theory]
        [MemberData(nameof(SimpleAttributes))]
        public void SimpleAttribut_Validation(List<String> roles, string imageBase64)
        {
            var user = new User { Roles = roles, ImageBase64 = imageBase64 };

            Assert.Equal(roles, user.Roles);
            Assert.Equal(imageBase64, user.ImageBase64);
        }
    }
}
