﻿using adminBlazor.Models;

namespace TestUnit
{
    public class VocabularyList_UT
    {
        public static IEnumerable<object[]> SimpleAttributes()
        {
            yield return new object[]
            {
                10,
                "name",
                new byte[] { 0x00, 0x01, 0x02 },
                15,
                "imageBase64",
                new List<Translation>()
            };
        }

        [Theory]
        [MemberData(nameof(SimpleAttributes))]
        public void SimpleAttribut_Validation(int id, string name, byte[] image, int aut, string imageBase64, List<Translation> translations)
        {
            var vocabularyList = new VocabularyList { Id = id, Name = name, Image = image, Aut = aut, ImageBase64 = imageBase64, Translations = translations };

            Assert.Equal(id, vocabularyList.Id);
            Assert.Equal(name, vocabularyList.Name);
            Assert.Equal(image, vocabularyList.Image);
            Assert.Equal(aut, vocabularyList.Aut);
            Assert.Equal(imageBase64, vocabularyList.ImageBase64);
            Assert.Equal(translations, vocabularyList.Translations);
        }
    }
}
